package net.sf.corn.gate;

/**
 * &nbsp;&nbsp;Locators are access points to components, in another words service implementations. 
 * Locators also responsible of controlling the life cycle of a component instance. <br>
 * &nbsp;&nbsp;Locators shouldn't be accessed and used directly. {@link Registry} initializes and uses Locators internally 
 * as they defined.<br>
 * &nbsp;&nbsp;In order use a locator actively you need register that locator by using {@link Registry#registerLocator} method or place in the configuration.
 * <p>
 * &nbsp;&nbsp;This project offers only limited number of locators. You can expand locators implementing concrete classes of this interface.
 * Please be aware of that POJO Locator internally defined as default locator. There is no need to define POJO Locator  in a configuration file.
 * </p>
 * @author Serhat Dirik
 * 
 */
public interface ILocator{
	
	
	public static final String DEFAULT_LOCATOR_NAME = "pojo";
	
	public Object getComponentInstance(ServiceDefinition serviceDef)
			throws GateException; 
	public String getName();
	
}
